<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <title>Jquery Selector</title>
    <style>
        body {
            font-size: 12px;
            font-family: arial;
            background: #f4f4f4;
            line-height: 1.5em;
        }

        header {
            background-color: grey;
            padding: 20px;
            text-align: center;
            color: rgb(252, 246, 246);
            margin-bottom: 10px;
        }

        #container {
            width: 90%;
            margin: auto;
            padding: 10px;
        }
    </style>
</head>

<body>
    <header>
        <h1>
            Jquery Example
        </h1>
    </header>
    <div id="container">

        <h1 id="heading1">Heading One</h1>
        <p id="para1">
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy
            text ever since the 1500s,
            <span> when an unknown printer took a galley of type and scrambled it to make a type specimen book.</span> It has survived
            not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was
            popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently
            with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
        </p>

        <h1 class="heading2">Heading One</h1>
        <p class="para2">
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy
            text ever since the 1500s,
            <span> when an unknown printer took a galley of type and scrambled it to make a type specimen book.</span> It has survived
            not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was
            popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently
            with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
        </p>


        <ul id="list">
            <li>list items</li>
            <li>list items</li>
            <li>list items</li>
            <li>list items</li>
            <li>list items</li>
            <li>list items</li>
        </ul>

        <input type="button" value="Button">
        <input type="text">
        <input type="submit" value="Button">
        <a href="www.goggle.com">Google</a>
        <a href="www.yahoo.com">Yahoo</a>

    </div>


    </div>


    <script>
        //$("h1").hide();    
        // $("h1#heading1").hide();
        //$('.heading2').hide();

        //$('p span').css('color', 'red   ');

        $('ul#list li:first').css('color', 'blue');
        $('ul#list li:last').css('color', "green");
        $('ul#list li:even').css('background-color', "cyan");
        $('ul#list li:odd').css('background-color', "pink");
        $('ul#list li:nth-child(3n)').css('list-style', "none")

        //$(':button').hide();
        //$(":input").hide();
        //$(':submit').hide();

        $('href').css('color', 'red');
        $('a[href="www.yahoo.com"]').css('color', 'green');
        //   $('*').hide();
    </script>
</body>

</html>